[![pipeline status](https://gitlab.cs.fau.de/ik15ydit/latexandmore/badges/master/pipeline.svg)](https://gitlab.cs.fau.de/ik15ydit/latexandmore/commits/master)

# Richtige Benutzung:
## Repository kopieren

    $ git clone <link_to_repository>

## Repository updaten

    $ git remote update && git pull

## PDFs bauen

    $ make

## Die Makefiles
* `make/make all` -> Standard
* `make continous` -> compeliert immer neu wenn sich etwas geändert hat
* `make solutions (nur IDB) -> baut ein PDFs mit Loesungsvorschlaegen`

## PDFs verlinken/autobuild
* `.gitlab-ci.yml`   -> damit PDFs gebaut und verlinkt werden, müssen sie hier aufgeführt sein, einmal als make-Befehl und einmal als Artifakt-Pfad (ein Artifakt ist ein Ergebnis einer Arbeit)

```html
https://gitlab.cs.fau.de/ik15ydit/latexandmore/-/jobs/artifacts/autobuild/raw/<TOP_LEVEL_ORDNER[/UNTERORDNER]>/<PDF_NAME>?job=JOBNAME
```

* JOBNAME ist per meiner Konvention in diesem Repro immer gleich TOP\_LEVEL\_ORDNER (also AuD/FFI...), Beispiel:

```html
https://gitlab.cs.fau.de/ik15ydit/latexandmore/-/jobs/artifacts/autobuild/raw/IDB/klausur_ss16/klausur_idb_SS16.pdf?job=IDB
```

* Die autobuild-branch kann nicht gepusht sondern nur gemerg'ed werden (von Master), damit das passiert müsst ihr einen Merge Request stellen, das stellt sicher, dass PDFs immer bauen und es keine toten Links u.a. im FSI Wiki gibt.

# Ich habe einen Fehler gefunden!
* mach eine Issue auf
* mach einen pullrequest (bestes)
* wenn du write hast fixe es selbst (noch besser)

# Sonstiges
* die FSI_Gruppe hat write auf diesem Repro
* horschtey, rincewind, greeny, und luis haben write

# Ich will write
* Sprich mich in RL/IRC (Sheppy/ircnet) an